
public class CheckInHandler {

	public static void doCheckIn(Reservation reservation)
	{
		Person customer = reservation.getCustomer();
		Room room = reservation.getRoom();
        Payment payment = new Payment(customer, room);
        payment.createBill(room);
        room.assignCustomer(customer);
        reservation.consume();

        GUI.showPopUpMessage(customer.getName() + " checked in at " + payment.getCheckInTime(), "Check in: " + payment.getRoom().getId());
        MenuSystem.getCurrentMenu().executeMenu();
	}
}
